DynamicJava Javadoc: Class BlockStatement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class BlockStatement

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Statement
                  |
                  +--koala.dynamicjava.tree.BlockStatement

public class BlockStatement
extends Statement

This class represents the block statement nodes of the syntax tree

Field Summary
`static java.lang.String` | `STATEMENTS` The creationType property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`BlockStatement(java.util.List stmts)` Creates a new block statement
`BlockStatement(java.util.List stmts, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new block statement

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`java.util.List` | `getStatements()` Returns the statements contained in this block
`void` | `setStatements(java.util.List l)` Sets the statements contained in this block

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATEMENTS

    public static final java.lang.String STATEMENTS

  The creationType property name

Constructor Detail

### BlockStatement

    public BlockStatement(java.util.List stmts)

  Creates a new block statement
  Parameters:
    `stmts` - the list of the statements contained in this block

### BlockStatement

    public BlockStatement(java.util.List stmts,
                          java.lang.String fn,
                          int bl,
                          int bc,
                          int el,
                          int ec)

  Creates a new block statement
  Parameters:
    `stmts` - the list of the statements contained in this block
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if stmts is null

Method Detail

### getStatements

    public java.util.List getStatements()

  Returns the statements contained in this block

### setStatements

    public void setStatements(java.util.List l)

  Sets the statements contained in this block
  Throws:
    `java.lang.IllegalArgumentException` - if l is null

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.